Bug 446502 - gsynaptics doesn't run
gsynaptics doesn't run
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gsynaptics (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
: 439136 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 17:02 EDT by Kevin J. Slonka
Modified: 2009-07-14 10:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:59:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin J. Slonka 2008-05-14 17:02:05 EDT
Description of problem:
gsynaptics-init bombs

Version-Release number of selected component (if applicable):
0.9.13-3.1

How reproducible:
Constant

Steps to Reproduce:
1. Have an F8 machine with gsynaptics working properly
2. Upgrade to F9
3. Watch gsynaptics fail
  
Actual results:
Gsynaptics does not run.  when invoking from the command line you see this:
 # gsynaptics-init --sm-disable

** (gsynaptics-init:3430): WARNING **: Using synclient
Unknown parameter CoastingSpeedThreshold

The same happens without the --sm-disable.

The results of this not running is that you can use the touchpad and scroll with
the side-scrollbar, but you can't tap to click things.

Expected results:


Additional info:
From https://bugs.launchpad.net/ubuntu/+source/gsynaptics/+bug/70525/comments/8:

The name of the attribute causing the error is (apparently) CoastingSpeed. Note
no "Threshold" or "Threashold" or any other spelling at the end, just
"CoastingSpeed".

After changing this in gsynaptics.c, it works properly and can save and restore
settings with gsynaptics-init. (finally!)
Comment 1 Matthew Saltzman 2008-12-06 14:25:13 EST
*** Bug 439136 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2009-06-09 20:49:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:59:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.